Subject: Re: [lemonade] a notify question

From: Alexey Melnikov <[email-masked]>
Date: Tue, 08 Apr 2008 09:55:26 +0100

Hi Peter,

Peter Coates wrote:

> Suppose a client asked to be notified on events for some mailbox by 
> name, and asked for status, so
>
> 1 notify status set (mailboxes foo …
>
> And suppose that mailbox foo does not exist. What is the correct 
> behaviour of the server.
>
> Is it
>
> (1) reject the whole command with a tagged NO
>
This is only allowed if "foo" is the only mailbox specified in the 
command. If other mailboxes which exist are specified, then "foo" must 
be silently ignored, as per the following text in section 3.1:

- If the name does not refer to an existing mailbox, the server MUST
ignore it.

> (2) reject the mailbox with some variant of a *NO
>
But return the tagged OK and forget that the mailbox "foo" was ever 
specified?
If the answer to this question is yes, then I don't think this should be 
allowed.

> (3) set up the notification for when/if the mailbox ever comes into being
>
This is certainly allowed.
I also think that sending LIST \NonExistent for such mailboxes is 
reasonable as well.

> If the answer is (3) is it OK simply to forget about sending a status 
> response back to the client, or what?
>
I think the answer to your last question is "yes".

_______________________________________________
lemonade mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/lemonade
Supplemental Web Site:
http://www.standardstrack.com/ietf/lemonade